"""
Enum of the validator.

Author: Fabian A. Preiss
"""
from enum import Enum


class AngleSelectParams(Enum):
    IMG = "IMG"
    """Image."""
    REF_IMG = "REF_IMG"
    """Reference image."""
    ANGLE_A = "ANGLE_A"
    """Candidate Angle A."""
    ANGLE_B = "ANGLE_B"
    """Candidate Angle B."""
    UPSAMPLING = "UPSAMPLING"
    """Upsampling factor."""
    ROT_A_IMG = "ROT_A_IMG"
    """Image Rotated by Angle A."""
    ROT_B_IMG = "ROT_B_IMG"
    """Image Rotated by Angle B."""
    TRANSLATION_A = "TRANSLATION_A"
    """Recovered x,y translation vector and error for A."""
    TRANSLATION_B = "TRANSLATION_B"
    """Recovered x,y translation vector and error for B."""
    ROT_TR_A_IMG = "ROT_TR_A_IMG"
    """Rotation, and translation recovered image A."""
    ROT_TR_B_IMG = "ROT_TR_B_IMG"
    """Rotation, and translation recovered image B."""
    SELECTOR = "SELECTOR"
    """True, if A matches better than B"""
    RECOVERED_ROTATION = "RECOVERED_ROTATION"
    """Recovered rotation angle and error between the modified and reference image."""
    RECOVERED_ROT_IMG = "RECOVERED_ROT_SCALE_IMG"
    """Rotation recovered image."""
    RECOVERED_TRANSLATION = "RECOVERED_TRANSLATION"
    """Recovered x,y translation vector and error."""
    RECOVERED_ROT_TR_IMG = "RECOVERED_ROT_TR_IMG"
    """Rotation, and translation recovered image."""
